Bug 7984 - Fix the upload_local_cover_images permission
Summary: Fix the upload_local_cover_images permission
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Installation and upgrade (web-based installer) (show other bugs)
Version: 3.8
Hardware: All All
: P5 - low major (vote)
Assignee: Magnus Enger
QA Contact: Ian Walls
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-04-19 19:08 UTC by Magnus Enger
Modified: 2013-12-05 19:59 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 7984 - Fix the upload_local_cover_images permission (2.50 KB, patch)
2012-04-19 19:25 UTC, Magnus Enger
Details | Diff | Splinter Review
Bug 7984 - Fix the upload_local_cover_images permission (2.61 KB, patch)
2012-04-28 13:36 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review
Bug 7984 - Fix the upload_local_cover_images permission (3.51 KB, patch)
2012-04-28 13:41 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review
Bug 7984 [SIGNED-OFF] - Fix the upload_local_cover_images permission (2.96 KB, patch)
2012-04-28 14:04 UTC, Marc Véron
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Magnus Enger 2012-04-19 19:08:07 UTC
upload_local_cover_images 

- is missing completely from installer/data/mysql/nb-NO/mandatory/userpermissions.sql 
- for de-DE it needs to be translated.
Comment 1 Magnus Enger 2012-04-19 19:25:30 UTC Comment hidden (obsolete)
Comment 2 Magnus Enger 2012-04-19 19:27:06 UTC
To test:

Hm, guess the proper way to do it is
- install de-DE and nb-NO
- run through the web installer on an empty database for each of the languages and check that the local cover image feature can be used
Comment 3 Jared Camins-Esakov 2012-04-28 13:36:45 UTC Comment hidden (obsolete)
Comment 4 Jared Camins-Esakov 2012-04-28 13:41:49 UTC Comment hidden (obsolete)
Comment 5 Marc Véron 2012-04-28 14:04:25 UTC
Created attachment 9341 [details] [review]
Bug 7984 [SIGNED-OFF] - Fix the upload_local_cover_images permission

upload_local_cover_images is needed to use the new, cool local covers
feature

This patch
- adds upload_local_cover_images to
  installer/data/mysql/nb-NO/1-Obligatorisk/userpermissions.sql
  from whch it was missing, making it impossible to use the local
  covers feature in an nb-NO installation
- translates the text of the preference for de-DE (thanks to cait,
  drojf and mveron for the translation)

Signed-off-by: Marc Veron <veron@veron.ch>

I did no fresh installs, however I
- had a look at the files before and after applying the patch
- carefully checked the syntax
- tested with MySQL by removing the entry in the table 'permissions'
  double checked that now the entry in Staff client was one
  and then did  an insert with the sql snippets.
  In DE-de the translated entry translation appeared as expected.
Comment 6 Marc Véron 2012-04-28 14:06:37 UTC
Oh, we did the same at almost the same time :-)
Comment 7 Magnus Enger 2012-05-07 10:55:26 UTC
Attachment 9340 [details] from Jared added the permission to the es-ES file, which I had missed. Attachment 9341 [details] from Marc does not have this, so I think 9340 is the one that should get QA'ed?
Comment 8 Magnus Enger 2012-05-07 10:56:50 UTC
Comment on attachment 9340 [details] [review]
Bug 7984 - Fix the upload_local_cover_images permission

Un-obsoleting attachment 9340 [details] [review] - see my previous comment.
Comment 9 Ian Walls 2012-05-10 16:45:11 UTC
Just adds permission to nb-NO, and updates for de-DE.  Simple enough.  Marking Passed QA.
Comment 10 Paul Poulain 2012-05-14 12:46:54 UTC
Comment on attachment 9340 [details] [review]
Bug 7984 - Fix the upload_local_cover_images permission

patch also signed-off by marc
Comment 11 Chris Cormack 2012-05-14 20:49:24 UTC
This will be in 3.8.1